<link rel="stylesheet" href="http://173.249.55.36:8080/geoserver/openlayers3/ol.css" type="text/css">
<script src="http://173.249.55.36:8080/geoserver/openlayers3/ol.js" type="text/javascript"></script>

<div class="header bg-gradient-teal pb-8 pt-5 pt-md-8">
  <div class="container-fluid breadcrumbs">
      <!-- Breadcrumbs -->
      <nav aria-label="breadcrumb">
          <ol class="breadcrumb">
              <li class="breadcrumb-item active" aria-current="page"> <i class="fas fa-home"></i> Novas Features</li>
              <li class="breadcrumb-item active" aria-current="page"> Mapa</li>
          </ol>
      </nav>
  </div>

</div>

<!-- Page content -->
<div class="container-fluid mt-5">
<div class="container-fluid">
  <div id="toolbar" style="display: none;">
    <ul>
      <li>
        <a>WMS version:</a>
        <select id="wmsVersionSelector" onchange="setWMSVersion(value)">
          <option value="1.1.1">1.1.1</option>
          <option value="1.3.0">1.3.0</option>
        </select>
      </li>
      <li>
        <a>Tiling:</a>
        <select id="tilingModeSelector" onchange="setTileMode(value)">
          <option value="untiled">Single tile</option>
          <option value="tiled">Tiled</option>
        </select>
      </li>
      <li>
        <a>Antialias:</a>
        <select id="antialiasSelector" onchange="setAntialiasMode(value)">
          <option value="full">Full</option>
          <option value="text">Text only</option>
          <option value="none">Disabled</option>
        </select>
      </li>
      <li>
        <a>Format:</a>
        <select id="imageFormatSelector" onchange="setImageFormat(value)">
          <option value="image/png">PNG 24bit</option>
          <option value="image/png8">PNG 8bit</option>
          <option value="image/gif">GIF</option>
          <option id="jpeg" value="image/jpeg">JPEG</option>
          <option id="jpeg-png" value="image/vnd.jpeg-png">JPEG-PNG</option>
        </select>
      </li>
      <li>
        <a>Styles:</a>
        <select id="imageFormatSelector" onchange="setStyle(value)">
          <option value="">Default</option>
        </select>
      </li>
      <li>
        <a>Width/Height:</a>
        <select id="widthSelector" onchange="setWidth(value)">
           <!--
           These values come from a statistics of the viewable area given a certain screen area
           (but have been adapted a litte, simplified numbers, added some resolutions for wide screen)
           You can find them here: http://www.evolt.org/article/Real_World_Browser_Size_Stats_Part_II/20/2297/
           --><option value="auto">Auto</option>
              <option value="600">600</option>
              <option value="750">750</option>
              <option value="950">950</option>
              <option value="1000">1000</option>
              <option value="1200">1200</option>
              <option value="1400">1400</option>
              <option value="1600">1600</option>
              <option value="1900">1900</option>
          </select>
          <select id="heigthSelector" onchange="setHeight(value)">
              <option value="auto">Auto</option>
              <option value="300">300</option>
              <option value="400">400</option>
              <option value="500">500</option>
              <option value="600">600</option>
              <option value="700">700</option>
              <option value="800">800</option>
              <option value="900">900</option>
              <option value="1000">1000</option>
          </select>
        </li>
        <li>
            <a>Filter:</a>
            <select id="filterType">
                <option value="cql">CQL</option>
                <option value="ogc">OGC</option>
                <option value="fid">FeatureID</option>
            </select>
            <input type="text" size="80" id="filter"/>
            <a id="updateFilterButton" href="#" onClick="updateFilter()" title="Apply filter">Apply</a>
            <a id="resetFilterButton" href="#" onClick="resetFilter()" title="Reset filter">Reset</a>
        </li>
      </ul>
    </div>
  <div id="map">
    <div class="ol-toggle-options ol-unselectable"><a title="Toggle options toolbar" onClick="toggleControlPanel()" href="#toggle">...</a></div>
  </div>
  <div id="wrapper">
      <div id="location"></div>
      <div id="scale">
  </div>
  <div id="nodelist">
      <!--<em>Click on the map to get feature info</em> -->
  </div>
</div>
</div>

<script type="text/javascript">
  var pureCoverage = false;
  // if this is just a coverage or a group of them, disable a few items,
  // and default to jpeg format
  var format = 'image/png';
  var bounds = [-73, -33,
                -34, 5];
  if (pureCoverage) {
    document.getElementById('filterType').disabled = true;
    document.getElementById('filter').disabled = true;
    document.getElementById('antialiasSelector').disabled = true;
    document.getElementById('updateFilterButton').disabled = true;
    document.getElementById('resetFilterButton').disabled = true;
    document.getElementById('jpeg').selected = true;
    format = "image/jpeg";
  }

  var mousePositionControl = new ol.control.MousePosition({
    className: 'custom-mouse-position',
    target: document.getElementById('location'),
    coordinateFormat: ol.coordinate.createStringXY(5),
    undefinedHTML: '&nbsp;'
  });
  



  var camada13 = new ol.layer.Image({
    visible: true,
    opacity: 0.9,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'covid_mg_bhz_casos_com_60_e_mais_anos',
      }
    }),
  });


  var camada12 = new ol.layer.Image({
    visible: true,
    opacity: 0.9,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'covid_mg_bhz_pessoas_com_60_e_mais_anos',
      }
    }),
  });



  var camada11 = new ol.layer.Image({
    visible: true,
    opacity: 0.5,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'covid_mg_bhz_num_leitos_necessarios',
      }
    }),
  });



  var camada10 = new ol.layer.Image({
    visible: true,
    opacity: 0.9,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'mg_bhz_regionais_adm',
      }
    }),
  });



  var camada9 = new ol.layer.Image({
    visible: true,
    opacity: 1,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'br_mun_mg_bhz_polig',
      }
    }),
  });






  var camada8 = new ol.layer.Image({
    visible: true,
    opacity: 1,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'covid_mg_bhz_setores_censitarios_com_casos',
      }
    }),
  });



  var camada7 = new ol.layer.Image({
    visible: true,
    opacity: 0.7,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'covid_mg_bhz_setores_censitarios_sem_casos',
      }
    }),
  });




  var camada6 = new ol.layer.Image({
    visible: true,
    opacity: 0.8,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'covid_mg_bhz_setores_censitarios_buffer',
      }
    }),
  });





  var camada5 = new ol.layer.Image({
    visible: true,
    opacity: 0.8,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'covid_tx_incidencia_setor_censitario',
      }
    }),
  });




  /*     
  var camada4 = new ol.layer.Image({
    visible: true,
    opacity: 0.6,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            //LAYERS: 'eprplanet:g_br_uf_marajo_ii',
            LAYERS: 'covid_percent_casos_por_thiessen',
      }
    }),
  });
  */



  var camada3 = new ol.layer.Image({
  visible: true,
    opacity: 0.8,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            LAYERS: 'covid_mg_bhz_poligonos_thiessen',
      }
    }),
  });




  var camada2 = new ol.layer.Image({
    visible: true,
    opacity: 1,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            LAYERS: 'covid_estab_saude_municipais', 
      }
    }),
  });




  var camada1 = new ol.layer.Image({
  visible: true,
    opacity: 0.6,
    source: new ol.source.ImageWMS({
      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            LAYERS: 'covid_casos_heatmap',
      }
    }),
  });




  var untiled = new ol.layer.Image({
    visible: true,
    opacity: 1,
    source: new ol.source.ImageWMS({

      ratio: 1,
      url: 'http://173.249.55.36:8080/geoserver/GLOBALVISION/wms',
      params: {'FORMAT': format,
               'VERSION': '1.1.1',  
            STYLES: '',
            LAYERS: 'g_covid_casos_points',                
      }
    }),
  });



  var tiled = new ol.layer.Tile({
    visible: true,
    opacity: 0.5,
    source: new ol.source.TileWMS({
      url: 'http://173.249.55.36:8080/geoserver/eprplanet/wms',
      params: {'FORMAT': format, 
               'VERSION': '1.1.1',
            tiled: true,
            STYLES: '',
            LAYERS: 'eprplanet:eprplanet:g_br_uf_marajo_ii',
         tilesOrigin: -73 + "," + -33
      }
    })
  });


  var openstreetmapLayer = new ol.layer.Tile({
                  source: new ol.source.OSM()
  });

  var projection = new ol.proj.Projection({
      code: 'EPSG:4674',
      units: 'degrees',
      axisOrientation: 'neu',
      global: true
  });


/*
LISTAGEM DAS CAMADAS

camada 13: covid_mg_bhz_casos_com_60_e_mais_anos
camada 12: covid_mg_bhz_pessoas_com_60_e_mais_anos
camada 11: covid_mg_bhz_num_leitos_necessarios
camada 10: mg_bhz_regionais_adm
camada 9: br_mun_mg_bhz_polig
camada 8: covid_mg_bhz_setores_censitarios_com_casos
camada 7: covid_mg_bhz_setores_censitarios_sem_casos
camada 6: covid_mg_bhz_setores_censitarios_buffer
camada 5: covid_tx_incidencia_setor_censitario


camada 4: covid_percent_casos_por_thiessen -- retirado
camada 3: covid_mg_bhz_poligonos_thiessen 

camada 2: covid_estab_saude_municipais
camada 1: covid_casos_heatmap

untiled: g_covid_casos_points  

endereço da página:  http://173.249.55.36:8080/geoserver/www/web/covid_ii.html

*/

   var map = new ol.Map({
   //layers: [openstreetmapLayer ,camada9 ,camada3 ,camada2],
   //layers: [camada10 ,camada3 ,camada2],
   //layers: [untiled ,camada3 ,camada2],       
   //layers: [openstreetmapLayer ,camada7 ,camada10 ,camada6 ,camada5],
   layers: [openstreetmapLayer ,camada1 ,camada6 ,camada5,camada10],       
   /*layers: [camada1], */
   target: 'map',
   view: new ol.View({
            //center: ol.proj.transform([-43.9352, -19.9245], 'EPSG:4326', 'EPSG:3857'),
            zoom: 5
         })
   });


/*       var map = new ol.Map({
   layers: [openstreetmapLayer, analysisLayer],
   target: 'map',
   view: new ol.View({
            //center: ol.proj.transform([-43.9352, -19.9245], 'EPSG:4326', 'EPSG:3857'),
            zoom: 5
         })
   });
*/

   var view = new ol.View();
   map.setView(view);

   window.onload = function ()
   {
      view.setCenter(ol.proj.transform([-43.9656, -19.9091], 'EPSG:4326', 'EPSG:3857'));
/*          view.setCenter(ol.proj.transform([-63.0, -2.0], 'EPSG:4326', 'EPSG:3857')); */

      view.setZoom(12.5);
   }

  ///////////////////////////////////////////////////////////////////////////////////////
  //It seems that the following code block is changing the position after page loading.//
  ///////////////////////////////////////////////////////////////////////////////////////
  map.getView().on('change:resolution', function(evt) {
    var resolution = evt.target.get('resolution');
    var units = map.getView().getProjection().getUnits();
    var dpi = 25.4 / 0.28;
    var mpu = ol.proj.METERS_PER_UNIT[units];
    var scale = resolution * mpu * 39.37 * dpi;
    if (scale >= 9500 && scale <= 950000) {
      scale = Math.round(scale / 1000) + "K";
    } else if (scale >= 950000) {
      scale = Math.round(scale / 1000000) + "M";
    } else {
      scale = Math.round(scale);
    }
    document.getElementById('scale').innerHTML = "Scale = 1 : " + scale;
  });
  map.getView().fit(bounds, map.getSize());
  map.on('singleclick', function(evt) {
    //document.getElementById('nodelist').innerHTML = "Loading... please wait...";
    document.getElementById('nodelist').innerHTML = "";
    var view = map.getView();
    var viewResolution = view.getResolution();
    var source = untiled.get('visible') ? untiled.getSource() : tiled.getSource();
    var url = source.getGetFeatureInfoUrl(
      evt.coordinate, viewResolution, view.getProjection(),
      {'INFO_FORMAT': 'text/html', 'FEATURE_COUNT': 50});
    if (url) {
      document.getElementById('nodelist').innerHTML = '<iframe seamless src="' + url + '"></iframe>';
    }
  });

  // sets the chosen WMS version
  function setWMSVersion(wmsVersion) {
    map.getLayers().forEach(function(lyr) {
      lyr.getSource().updateParams({'VERSION': wmsVersion});
    });
    if(wmsVersion == "1.3.0") {
        origin = bounds[1] + ',' + bounds[0];
    } else {
        origin = bounds[0] + ',' + bounds[1];
    }
    tiled.getSource().updateParams({'tilesOrigin': origin});
  }

  // Tiling mode, can be 'tiled' or 'untiled'
  function setTileMode(tilingMode) {
    if (tilingMode == 'tiled') {
      untiled.set('visible', false);
      tiled.set('visible', true);
    } else {
      tiled.set('visible', false);
      untiled.set('visible', true);
    }
  }

  function setAntialiasMode(mode) {
    map.getLayers().forEach(function(lyr) {
      lyr.getSource().updateParams({'FORMAT_OPTIONS': 'antialias:' + mode});
    });
  }

  // changes the current tile format
  function setImageFormat(mime) {
    map.getLayers().forEach(function(lyr) {
      lyr.getSource().updateParams({'FORMAT': mime});
    });
  }

  function setStyle(style){
    map.getLayers().forEach(function(lyr) {
      lyr.getSource().updateParams({'STYLES': style});
    });
  }

  function setWidth(size){
    var mapDiv = document.getElementById('map');
    var wrapper = document.getElementById('wrapper');

    if (size == "auto") {
      // reset back to the default value
      mapDiv.style.width = null;
      wrapper.style.width = null;
    }
    else {
      mapDiv.style.width = size + "px";
      wrapper.style.width = size + "px";
    }
    // notify OL that we changed the size of the map div
    map.updateSize();
  }

  function setHeight(size){
    var mapDiv = document.getElementById('map');
    if (size == "auto") {
      // reset back to the default value
      mapDiv.style.height = null;
    }
    else {
      mapDiv.style.height = size + "px";
    }
    // notify OL that we changed the size of the map div
    map.updateSize();
  }

  function updateFilter(){
    if (pureCoverage) {
      return;
    }
    var filterType = document.getElementById('filterType').value;
    var filter = document.getElementById('filter').value;
    // by default, reset all filters
    var filterParams = {
      'FILTER': null,
      'CQL_FILTER': null,
      'FEATUREID': null
    };
    if (filter.replace(/^\s\s*/, '').replace(/\s\s*$/, '') != "") {
      if (filterType == "cql") {
        filterParams["CQL_FILTER"] = filter;
      }
      if (filterType == "ogc") {
        filterParams["FILTER"] = filter;
      }
      if (filterType == "fid")
        filterParams["FEATUREID"] = filter;
      }
      // merge the new filter definitions
      map.getLayers().forEach(function(lyr) {
        lyr.getSource().updateParams(filterParams);
      });
    }

    function resetFilter() {
      if (pureCoverage) {
        return;
      }
      document.getElementById('filter').value = "";
      updateFilter();
    }

    // shows/hide the control panel
    function toggleControlPanel(){
      var toolbar = document.getElementById("toolbar");
      if (toolbar.style.display == "none") {
        toolbar.style.display = "block";
      }
      else {
        toolbar.style.display = "none";
      }
      map.updateSize()
    }

</script>
